package com.mortals.xhx.module.article.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.article.model.vo.ArticleVo;
import lombok.Data;
/**
* 文章实体对象
*
* @author zxfei
* @date 2024-11-25
*/
@Data
public class ArticleEntity extends ArticleVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String title;
    /**
    * 封面
    */
    private String cover;
    /**
    * 文章介绍
    */
    private String introduction;
    /**
    * 内容
    */
    private String content;
    /**
    * 内容html
    */
    private String contentHtml;
    /**
    * 文章作者
    */
    private String author;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ArticleEntity) {
            ArticleEntity tmp = (ArticleEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.cover = "";
            this.introduction = "";
            this.content = "";
            this.contentHtml = "";
            this.author = "";
    }
}