package com.mortals.xhx.module.article.model;

import java.util.List;
import com.mortals.xhx.module.article.model.ArticleEntity;
/**
* 文章查询对象
*
* @author zxfei
* @date 2024-11-25
*/
public class ArticleQuery extends ArticleEntity {
    /** 开始 文章id */
    private Long idStart;

    /** 结束 文章id */
    private Long idEnd;

    /** 增加 文章id */
    private Long idIncrement;

    /** 文章id列表 */
    private List <Long> idList;

    /** 文章id排除列表 */
    private List <Long> idNotList;

    /** 标题 */
    private List<String> titleList;

    /** 标题排除列表 */
    private List <String> titleNotList;
    /** 封面 */
    private List<String> coverList;

    /** 封面排除列表 */
    private List <String> coverNotList;
    /** 文章介绍 */
    private List<String> introductionList;

    /** 文章介绍排除列表 */
    private List <String> introductionNotList;
    /** 内容 */
    private List<String> contentList;

    /** 内容排除列表 */
    private List <String> contentNotList;
    /** 内容html */
    private List<String> contentHtmlList;

    /** 内容html排除列表 */
    private List <String> contentHtmlNotList;
    /** 文章作者 */
    private List<String> authorList;

    /** 文章作者排除列表 */
    private List <String> authorNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ArticleQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ArticleQuery> andConditionList;

    public ArticleQuery(){}

    /**
    * 获取 开始 文章id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 文章id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 文章id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 文章id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 文章id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 文章id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 文章id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 文章id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 文章id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 文章id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
    * 获取 标题
    * @return titleNotList
    */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
    * 设置 标题
    * @param titleNotList
    */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
    * 获取 封面
    * @return coverList
    */
    public List<String> getCoverList(){
        return this.coverList;
    }

    /**
    * 设置 封面
    * @param coverList
    */
    public void setCoverList(List<String> coverList){
        this.coverList = coverList;
    }

    /**
    * 获取 封面
    * @return coverNotList
    */
    public List<String> getCoverNotList(){
        return this.coverNotList;
    }

    /**
    * 设置 封面
    * @param coverNotList
    */
    public void setCoverNotList(List<String> coverNotList){
        this.coverNotList = coverNotList;
    }

    /**
    * 获取 文章介绍
    * @return introductionList
    */
    public List<String> getIntroductionList(){
        return this.introductionList;
    }

    /**
    * 设置 文章介绍
    * @param introductionList
    */
    public void setIntroductionList(List<String> introductionList){
        this.introductionList = introductionList;
    }

    /**
    * 获取 文章介绍
    * @return introductionNotList
    */
    public List<String> getIntroductionNotList(){
        return this.introductionNotList;
    }

    /**
    * 设置 文章介绍
    * @param introductionNotList
    */
    public void setIntroductionNotList(List<String> introductionNotList){
        this.introductionNotList = introductionNotList;
    }

    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 内容html
    * @return contentHtmlList
    */
    public List<String> getContentHtmlList(){
        return this.contentHtmlList;
    }

    /**
    * 设置 内容html
    * @param contentHtmlList
    */
    public void setContentHtmlList(List<String> contentHtmlList){
        this.contentHtmlList = contentHtmlList;
    }

    /**
    * 获取 内容html
    * @return contentHtmlNotList
    */
    public List<String> getContentHtmlNotList(){
        return this.contentHtmlNotList;
    }

    /**
    * 设置 内容html
    * @param contentHtmlNotList
    */
    public void setContentHtmlNotList(List<String> contentHtmlNotList){
        this.contentHtmlNotList = contentHtmlNotList;
    }

    /**
    * 获取 文章作者
    * @return authorList
    */
    public List<String> getAuthorList(){
        return this.authorList;
    }

    /**
    * 设置 文章作者
    * @param authorList
    */
    public void setAuthorList(List<String> authorList){
        this.authorList = authorList;
    }

    /**
    * 获取 文章作者
    * @return authorNotList
    */
    public List<String> getAuthorNotList(){
        return this.authorNotList;
    }

    /**
    * 设置 文章作者
    * @param authorNotList
    */
    public void setAuthorNotList(List<String> authorNotList){
        this.authorNotList = authorNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  文章id
    * @param id
    */
    public ArticleQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 文章id
    * @param idStart
    */
    public ArticleQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 文章id
    * @param idEnd
    */
    public ArticleQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 文章id
    * @param idIncrement
    */
    public ArticleQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 文章id
    * @param idList
    */
    public ArticleQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 文章id
        * @param idNotList
        */
        public ArticleQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 标题
    * @param title
    */
    public ArticleQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 标题
    * @param titleList
    */
    public ArticleQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 封面
    * @param cover
    */
    public ArticleQuery cover(String cover){
        setCover(cover);
		return this;
    }

    /**
    * 设置 封面
    * @param coverList
    */
    public ArticleQuery coverList(List<String> coverList){
        this.coverList = coverList;
		return this;
    }


	/**
    * 设置 文章介绍
    * @param introduction
    */
    public ArticleQuery introduction(String introduction){
        setIntroduction(introduction);
		return this;
    }

    /**
    * 设置 文章介绍
    * @param introductionList
    */
    public ArticleQuery introductionList(List<String> introductionList){
        this.introductionList = introductionList;
		return this;
    }


	/**
    * 设置 内容
    * @param content
    */
    public ArticleQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public ArticleQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 内容html
    * @param contentHtml
    */
    public ArticleQuery contentHtml(String contentHtml){
        setContentHtml(contentHtml);
		return this;
    }

    /**
    * 设置 内容html
    * @param contentHtmlList
    */
    public ArticleQuery contentHtmlList(List<String> contentHtmlList){
        this.contentHtmlList = contentHtmlList;
		return this;
    }


	/**
    * 设置 文章作者
    * @param author
    */
    public ArticleQuery author(String author){
        setAuthor(author);
		return this;
    }

    /**
    * 设置 文章作者
    * @param authorList
    */
    public ArticleQuery authorList(List<String> authorList){
        this.authorList = authorList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ArticleQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ArticleQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ArticleQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ArticleQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ArticleQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ArticleQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ArticleQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ArticleQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ArticleQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ArticleQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}